---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "forgejo_users Data Source - terraform-provider-forgejo"
subcategory: ""
description: |-
  Use this data source to retrieve information about existing forgejo users.
---

# forgejo_users (Data Source)

Use this data source to retrieve information about existing forgejo users.

## Example Usage

```terraform
data "forgejo_users" "example" {}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Read-Only

- `elements` (Attributes List) The list of users. (see [below for nested schema](#nestedatt--elements))

<a id="nestedatt--elements"></a>
### Nested Schema for `elements`

Read-Only:

- `active` (Boolean) Whether the user is active or not.
- `avatar_url` (String) The user's avatar URL.
- `created` (String) The user's creation date and time.
- `description` (String) A description string.
- `email` (String) The user's email address.
- `followers_count` (Number) The number of followers.
- `following_count` (Number) The number of followings.
- `full_name` (String) The user's full name.
- `html_url` (String) The URL to this user's Forgejo profile page.
- `id` (Number) The identifier of the user.
- `is_admin` (Boolean) Whether the user is an admin or not.
- `language` (String) The user's chosen language.
- `last_login` (String) The user's last login date and time.
- `location` (String) The user's advertised location.
- `login` (String) The login of the user.
- `login_name` (String) The user's authentication sign-in name.
- `prohibit_login` (Boolean) Whether the user is allowed to log in or not.
- `pronouns` (String) The user's advertised pronouns.
- `restricted` (Boolean) Whether the user is restricted or not.
- `source_id` (Number) The identifier of the users authentication source.
- `starred_repos_count` (Number) The number of repositoties starred by the user.
- `visibility` (String) The user's visibility option: limited, private, public.
- `website` (String) The user's advertised website.
